package api.common.util;

public abstract class LogUtil {

    protected static final ThreadLocal<String> OPERATION_TYPE = new ThreadLocal();

    public static void insert(){
        OPERATION_TYPE.set("1");
    };

    public static void update(){
        OPERATION_TYPE.set("2");
    };

    public static void delete(){
        OPERATION_TYPE.set("0");
    };

    public static String getOperationType(){
        return OPERATION_TYPE.get();
    };

    public static void remove(){
        OPERATION_TYPE.remove();
    };

    public static void share() {
        OPERATION_TYPE.set("3");
    }

}
